
shr.defineClass("shr.custom.dormitory", shr.framework.Edit, {
    initalizeDOM: function () {
        shr.custom.dormitory.superClass.initalizeDOM.call(this);
        this.RoomClassificationShrField()
        
        this.onChangeSJ()
    },
    RoomClassificationShrField: function(){
        var RoomClassification = $("#RoomClassification").shrSelect("getValue").value;
        if(RoomClassification=="3"){
            //必填
            //$("#name").shrTextField('option', 'required', true);
            // $("#name").shrTextField("enable");

            $("#RoomType").shrPromptBox('option', 'required', true);
            $("#RoomType").shrPromptBox("enable");

            $("#DormitoryType").shrPromptBox('option', 'required', true);
            $("#DormitoryType").shrPromptBox("enable");


            // $("#OccupantsNumber").shrTextField('option', 'required', true);
            // $("#OccupantsNumber").shrTextField("enable");


            $("#OccupancyCapacity").shrTextField('option', 'required', true);
            $("#OccupancyCapacity").shrTextField("enable");

        }else {
                // $("#name").shrTextField('option', 'required', false);
                // $("#name").shrTextField('setValue', "");
                // $("#name").shrTextField("disable");

                $("#RoomType").shrPromptBox('option', 'required', false);
                $("#RoomType").shrPromptBox('setValue', "");
                $("#RoomType").shrPromptBox("disable");

                $("#DormitoryType").shrPromptBox('option', 'required', false);
                $("#DormitoryType").shrPromptBox('setValue', "");
                $("#DormitoryType").shrPromptBox("disable");


                // $("#OccupantsNumber").shrTextField('option', 'required', false);
                // $("#OccupantsNumber").shrTextField('setValue', "");
                // $("#OccupantsNumber").shrTextField("disable");


                $("#OccupancyCapacity").shrTextField('option', 'required', false);
                $("#OccupancyCapacity").shrTextField('setValue', "");
                $("#OccupancyCapacity").shrTextField("disable");

        }
    },
    onChangeSJ: function () {
        var _this=this;
        $('#RoomClassification').on('change', function () {
            _this.RoomClassificationShrField()
        });
       
    }
})

